#{extends 'border.html'/}
<div class="container">
    <div class="panel panel-default">
        <div class="panel-body">
            <div class="col-md-12">
                <input type="hidden" name="rkn_id" value="${rkn_id}"/>
                <div role="tabpanel" class="tab-pane" id="profil">
                    <ul class="nav nav-tabs" role="tablist">
                        <li role="presentation" class="active">
                            <a href="#sikap" aria-controls="group-role" role="tab" data-toggle="tab">
                            &{'data_sikap.label'}
                            </a>
                        </li>
                        <li role="presentation">
                            <a href="#info-penyedia" aria-controls="group-role" role="tab" data-toggle="tab">
                            &{'informasi_penyedia.label'}
                            </a>
                        </li>
                        <li role="presentation">
                            <a href="#representatif" aria-controls="group-role" role="tab" data-toggle="tab">
                            &{'daftar_representatif.label'}
                            </a>
                        </li>
                    </ul>
                    <div class="tab-content">
                        <div role="tabpanel" class="tab-pane active" id="sikap" style="overflow-x: auto">
                        #{alert /}
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active">
                                    <a href="#identitas" aria-controls="group-role" role="tab"
                                       data-toggle="tab">&{'identitas.label'}</a>
                                </li>
                            #{list jenisKualifikasiList, as:'kualifikasi'}
                                <li role="presentation">
                                    <a href="#${kualifikasi.jenis_kualifikasi}"
                                       class="" aria-controls="group-role" role="tab" data-toggle="tab">
                                    ${kualifikasi.jenis_kualifikasi_alias}
                                    </a>
                                </li>
                            #{/list}
                            </ul>

                            <div class="tab-content">
                            #{include 'prakatalog/PenawaranCtr/wizard/tab-sikap/tab-identitas.html'/}

                                #{list jenisKualifikasiList, as:'kualifikasi'}
                                #{include 'prakatalog/PenawaranCtr/wizard/tab-sikap/tab-'+kualifikasi.jenis_kualifikasi+'.html'/}
                            #{/list}
                            </div>
                        </div>
                        <div role="tabpanel" class="tab-pane" id="info-penyedia" style="overflow-x: auto">
                            <div class="toolbar">
                                <a href="@{masterdata.ProfilPenyediaCtr.sinkronisasiPenyedia()}" class="btn btn-primary"><i class="fa fa-refresh"></i> &{'sinkronisasi.label'} ADP</a>&nbsp;
                                #{if aktifUser.isPenyedia()}
                                <a href="@{masterdata.ProfilPenyediaCtr.penyediaUkm()}" class="btn btn-primary"><i class="fa fa-plus"></i> &{'buat.label'} &{'pernyataan.label'} &{'ukm.label'}</a>
                                #{/if}
                            </div>
                            <table class="table table-condensed table-striped">
                                <tbody>
                                    <tr>
                                        <td class="detail-heading col-md-2"><b>&{'rkn_id.label'}</b></td>
                                        <td class="detail-description col-md-9">${user?.rkn_id != null ? user?.rkn_id : "-"}</td>
                                    </tr>
                                    <tr>
                                        <td class="detail-heading col-md-2"><b>&{'penyedia.label'}</b></td>
                                        <td class="detail-description col-md-9">${user?.nama_lengkap != null ? user?.nama_lengkap : "-"}</td>
                                    </tr>
                                    <tr>
                                        <td class="detail-heading col-md-2"><b>&{'nama_pengguna.label'}</b></td>
                                        <td class="detail-description col-md-9">${user?.user_name != null ? user?.user_name : "-"}</td>
                                    </tr>
                                    <tr>
                                        <td class="detail-heading col-md-2"><b>&{'status.label'} &{'penyedia.label'}</b></td>
                                        <td class="detail-description col-md-9">
                                        #{if user?.status_penyedia_distributor != null}
                                                #{if user?.status_penyedia_distributor == "penyedia_dan_distributor"}
                                                    &{'penyedia_dan_distributor.label'}
                                                #{/if}
                                                #{elseif user?.status_penyedia_distributor == "penyedia_saja"}
                                                    &{'penyedia_saja.label'}
                                                #{/elseif}
                                                #{else user?.status_penyedia_distributor == "distributor_saja"}
                                                    &{'distributor_saja.label'}
                                                #{/else}
                                            #{/if}
                                            #{else}-#{/else}
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="detail-heading col-md-2"><b>&{'alamat.label'}</b></td>
                                        <td class="detail-description col-md-9">${penyedia?.alamat != null ? penyedia?.alamat : "-"}</td>
                                    </tr>
                                    <tr>
                                        <td class="detail-heading col-md-2"><b>&{'kode_pos.label'}</b></td>
                                        <td class="detail-description col-md-9">${penyedia?.kode_pos != null ? penyedia?.kode_pos : "-"}</td>
                                    </tr>
                                    <tr>
                                        <td class="detail-heading col-md-2"><b>&{'email.label'}</b></td>
                                        <td class="detail-description col-md-9">${penyedia?.email != null ? penyedia?.email : "-"}</td>
                                    </tr>
                                    <tr>
                                        <td class="detail-heading col-md-2"><b>&{'situs_web.label'}</b></td>
                                        <td class="detail-description col-md-9">${penyedia?.website != null ? penyedia?.website : "-"}</td>
                                    </tr>
                                    <tr>
                                        <td class="detail-heading col-md-2"><b>&{'nomor_telp.label'}</b></td>
                                        <td class="detail-description col-md-9">${penyedia?.no_telp != null ? penyedia?.no_telp : "-"}</td>
                                    </tr>
                                    <tr>
                                        <td class="detail-heading col-md-2"><b>&{'nomor_selular.label'}</b></td>
                                        <td class="detail-description col-md-9">${penyedia?.no_hp != null ? penyedia?.no_hp : "-"}</td>
                                    </tr>
                                    <tr>
                                        <td class="detail-heading col-md-2"><b>&{'nomor_fax.label'}</b></td>
                                        <td class="detail-description col-md-9">${penyedia?.no_fax != null ? penyedia?.no_fax : "-"}</td>
                                    </tr>
                                    <tr>
                                        <td class="detail-heading col-md-2"><b>&{'npwp.label'}</b></td>
                                        <td class="detail-description col-md-9">${penyedia?.npwp != null ? penyedia?.npwp : "-"}</td>
                                    </tr>
                                    <tr>
                                        <td class="detail-heading col-md-2"><b>&{'pkp.label'}</b></td>
                                        <td class="detail-description col-md-9">${penyedia?.pkp != null ? penyedia?.pkp : "-"}</td>
                                    </tr>
                                    #{if aktifUser.isPenyedia()}
                                    <tr>
                                        <td class="detail-heading col-md-2"><b>&{'penyedia_komoditas.label'}</b></td>
                                        <td class="detail-description col-md-9">
                                            #{if !komoditasList.isEmpty()}
                                                <ol>
                                                    #{list komoditasList, as:'komoditas'}
                                                        <li>${komoditas.nama_komoditas}</li>
                                                    #{/list}
                                                </ol>
                                            #{/if}
                                            #{else}-#{/else}
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="detail-heading col-md-2"><b>&{'tipe_penyedia.label'} (&{'ukm.label'}/Non)</b></td>
                                        <td class="detail-description col-md-9">
                                            #{if penyedia?.is_umkm != null}
                                                #{if penyedia?.is_umkm == 1}
                                                    &{'usaha_kecil.label'}
                                                #{/if}
                                                #{elseif penyedia?.is_umkm == 2}
                                                    &{'usaha_menengah.label'}
                                                #{/elseif}
                                                #{else}
                                                    Non &{'ukm.label'}
                                                #{/else}
                                            #{/if}
                                            #{else}-#{/else}
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="detail-heading col-md-2"><b>&{'dokumen_pendukung.label'} &{'ukm.label'}</b></td>
                                        <td class="detail-description col-md-9">
                                            #{if !dokumenUkmList.isEmpty()}
                                                <ol>
                                                #{list dokumenUkmList, as:'dokumen'}
                                                    <li>
                                                        #{if aktifUser.roleItems.contains(models.secman.Acl.COM_PENYEDIA_DOKUMEN_UKM_VIEW.namaRole)}
                                                            <a href="${dokumen.download_url}">${dokumen.file_label}</a>
                                                        #{/if}#{else }
                                                            ${dokumen.file_label}
                                                        #{/else}
                                                    </li>
                                                #{/list}
                                                </ol>
                                            #{/if}
                                            #{else }-#{/else}
                                        </td>
                                    </tr>
                                    #{/if}
                                </tbody>
                            </table>
                            <div class="detail-heading"><b>&{'file_kontrak.label'}</b></div>
                            <br>
                            <div class="detail-description col-md-12">
                            *{${penyedia.npwp}}*
                                <table class="table table-condensed" id="tblPenyediaKontrak">
                                    <thead>
                                    <tr>
                                        <th class="header-left">&{'nomor.label'}</th>
                                        <th class="header-left">&{'nomor_kontrak.label'}</th>
                                        <th class="header-left">&{'file_kontrak.label'}</th>
                                        <th class="header-left">&{'tanggal_masa_berlaku.label'}</th>
                                    </tr>
                                    </thead>
                                </table>
                            </div>
                        </div>
                        <div role="tabpanel" class="tab-pane" id="representatif" style="overflow-x: auto">
                        #{form @controllers.masterdata.ProfilPenyediaCtr.representatifSubmit(), method:'POST', class:'form-horizontal form_penyedia'}
                            <input type="hidden" name="penyedia_id" value="${penyedia?.id}"/>
                            <div class="toolbar">
                                <a id="tambah_representatif" class="btn btn-info"><i
                                        class="fa fa-plus"></i> &{'tambah.label'} &{'representatif.label'}</a>
                                #{saveButton/}
                            </div>

                            <table class="table table-condensed" id="tbl_representatif">
                                <thead>
                                <tr>
                                    <th></th>
                                    <th>&{'nama_representatif.label'}</th>
                                    <th>&{'nomor_telp_selular.label'}</th>
                                    <th>&{'email.label'}</th>
                                </tr>
                                </thead>
                                <tbody>
                                    #{list representatifList, as:'representatif'}
                                    <tr>
                                        <td>
                                            <button class="btn btn-danger" id="hapus_representatif"><i
                                                    class="fa fa-trash"></i></button>
                                        </td>
                                        <td><input type="text" name="nama_representatif" class="form-control"
                                                   value="${representatif.nama}"></td>
                                        <td><input type="text" name="telp_representatif" class="form-control"
                                                   value="${representatif.no_telp}"></td>
                                        <td><input type="text" name="email_representatif" class="form-control"
                                                   value="${representatif.email}"></td>
                                    </tr>
                                    #{/list}
                                </tbody>
                            </table>
                        #{/form}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
#{set 'moreScripts'}
<script type="text/javascript" src="@{'public/javascripts/bootstrap-notify.min.js'}"></script>
<script type="text/javascript">
    $(document).ready(function () {
        var rkn_id = "${rkn_id}";

        #{list jenisKualifikasiList, as:'k'}
            getDataSikap("${k.jenis_kualifikasi}", rkn_id);
        #{/list}

        $("#tambah_representatif").on("click", function () {

            var str = "<tr>" +
                    "<td><button class='btn btn-danger' id='hapus_representatif'><i class='fa fa-trash'></i></button></td>" +
                    "<td><input type='text' name='nama_representatif' class='form-control'></td>" +
                    "<td><input type='text' name='telp_representatif' class='form-control'></td>" +
                    "<td><input type='text' name='email_representatif' class='form-control'></td>" +
                    "</tr>";

            $("#tbl_representatif").append(str);

        });

        $("body").on("click", "#hapus_representatif", function () {
            $(this).parent().parent().remove();
        });


        $("#tblPenyediaKontrak").dataTable({
            ajax: {
                url: "@{DataTableCtr.getKontrakPenyedia()}",
                cache: true,
                data: {
                    penyedia_id: "${penyedia?.id}"
                }
            },
            columns: [{
                "searchable": false, "className": "header-center",
                render: function (data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1 + ".";
                }
            }, {
                "searchable": true
            }, {
                "searchable": false, "className": "header-center"
            }, {
                "searchable": true, "className": "header-center"
            }]
        });

        $("#tblLampiranUkm").dataTable({
            ajax: {
                url: "@{DataTableCtr.getKontrakPenyedia()}",
                cache: true,
                data: {
                    penyedia_id: "${penyedia?.id}"
                }
            },
            columns: [{
                "searchable": false, "className": "header-center",
                render: function (data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1 + ".";
                }
            }, {
                "searchable": true
            }, {
                "searchable": false, "className": "header-center"
            }, {
                "searchable": true, "className": "header-center"
            }]
        });
    });

    function getDataSikap(kualifikasi, rkn_id) {
        $.ajax({
            type: 'post',
            url: '@{prakatalog.PenawaranCtr.getDataSikap()}',
            dataType: 'json',
            data: {
                jenis_kualifikasi: kualifikasi,
                rkn_id: rkn_id
            },
            success: function (data) {
                // console.log(data);
                var html = populateDataSikap(data, kualifikasi);
                if (kualifikasi != "akta") {
                    $("#tbl-" + kualifikasi + " tbody").html(html);
                }
            }
        });

    };
</script>
#{/set}